这是一个多圆角,你可以任意选择3个点,因为L将很快尝试在偏移处添加新线。
- ; Multi fillet of multiple lines in one go
- ; By Alan H DEC 2015
- (defun AH:Fmulti ( / ss fpts num num2 x y)
- (alert "pick outside-inside-outside")
- (setq fpts '())
- (setq fpts (cons (getpoint "Pick outside")fpts))
- (setq fpts (cons (getpoint "Pick inside") fpts))
- (setq fpts (cons (getpoint "Pick outside") fpts))
- (setq ss (ssget "F" fpts (list (cons 0 "LINE"))))
- (setq num (sslength ss))
- (setq num2 (/ num 2.0))
- (if (= (- (fix num2) num2) 0.5)
- (progn
- (Alert "you have an odd number of lines please check")
- (exit)
- )
- )
- (setq x 0)
- (setq y (- num 1))
- (setvar "filletrad" 0.0)
- (repeat (fix num2) ; not a real
- (setq obj1 (ssname ss x))
- (setq obj2 (ssname ss y))
- (command "fillet" obj1 obj2)
- (setq x (+ x 1))
- (setq y (- y 1))
- )
- ) ; defun
- (AH:fmulti)
|